Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-1020

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2004-1020
Last Modified 10 Sep 2008 03:28:38
Published 10 Jan 2005 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2004-1020

Summary

The addslashes function in PHP 4.3.9 does not properly escape a NULL (/0) character, which may allow remote attackers to read arbitrary files in PHP applications that contain a directory traversal vulnerability in require or include statements, but are otherwise protected by the magic_quotes_gpc mechanism. NOTE: this issue was originally REJECTed by its CNA before publication, but that decision is in active dispute. This candidate may change significantly in the future as a result of further discussion.

Vulnerable Systems

Application

  • Php 4.3.6

  • Php 4.3.7

  • Php 4.3.8

  • Php 4.3.9

  • Php 5.0

  • Php 5.0.0

  • Php 5.0.1

  • Php 5.0.2


References

BID - 11981

XF - php-addslashes-view-files(18516)

BUGTRAQ - 20041216 PHP Input Validation Vulnerabilities

HP - HPSBMA01212

CONFIRM - http://www.php.net/release_4_3_10.php

GENTOO - GLSA-200412-14

CONECTIVA - CLA-2005:915

MANDRAKE - MDKSA-2004:151


Last Updated: 27 May 2016 10:38:51